# ContainerClassBuilder Class Reference
[Class builders]

Inheritance diagram for ContainerClassBuilder:
[legend]

List of all members.

## Static Public Member Functions

static | build (MetaClass $class)
static | buildContainer (MetaClass $class, MetaClassProperty $holder)

## Detailed Description

Definition at line 15 of file ContainerClassBuilder.class.php.

## Member Function Documentation

static ContainerClassBuilder::build | ( | MetaClass $ | class | ) | `[static]`

Reimplemented from BaseBuilder.

Definition at line 17 of file ContainerClassBuilder.class.php.

static ContainerClassBuilder::buildContainer | ( | MetaClass $ | class,
|  | MetaClassProperty $ | holder |
| ) |  |  | `[static]`

Returns:
  {$containerName}

Definition at line 22 of file ContainerClassBuilder.class.php.

References StaticFactory::__construct(), OnceBuilder::getHead(), BaseBuilder::getHeel(), MetaClassProperty::getName(), MetaClass::getName(), MetaClassProperty::getRelation(), MetaClassProperty::getType(), and MetaRelation::MANY_TO_MANY.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- meta/builders/ContainerClassBuilder.class.php